Bug 65079 - The Trash trashcan .desktop file becomes corrupted.
The Trash trashcan .desktop file becomes corrupted.
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-05-17 00:13 EDT by Ed Halley
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-16 10:37:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Halley 2002-05-17 00:13:48 EDT
Description of Problem:
  The ~/.gnome-desktop/Trash file (.desktop file for the trashcan icon) becomes
corrupted with binary data.  Destroying the file and restarting Nautilus creates
a new file which also may be corrupted.

Version-Release number of selected component (if applicable):
  $ rpm -q nautilus ; uname -a
  Linux speare9 2.4.18-4smp #1 SMP Thu May 2 17:39:13 EDT 2002 i686 unknown

How Reproducible:
  Two similar Athlon machines, one SMP one UP machine.  Developers haven't seen
the same problem.

Actual Results:
  Icon for Trashcan may get new title, or opening icon may fail due to bad
location specified in the .desktop file.  Investigating the
~/.gnome-desktop/Trash file shows some lines of proper human-readable
properties, followed by some random binary data such as fragments of other
strings or unreadable characters.  Corruption is different each time.

  [speare@speare9:~/.gnome-desktop]$ cat Trash
  [Desktop Entry]

Expected Results:
  The contents of this file should remain fully human-readable, and the
properties should not become corrupted through normal use of the Nautilus process.

[Per conversation with 'alex' on irc.gnome.org #Nautilus.]
Comment 1 Havoc Pennington 2002-07-06 22:36:04 EDT
Alex, this is fixed isn't it?
Comment 2 Alexander Larsson 2002-07-08 10:49:13 EDT
No. It's still there. Several people have looked at it but been unable to find
it. I haven't looked yet.
Comment 3 Alexander Larsson 2003-01-16 10:37:16 EST
This has been fixed in 2.1.x (now in rawhide).

Note You need to log in before you can comment on or make changes to this bug.